package com.ruoyi.szxc.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.szxc.mapper.SzxcCsResponseMapper;
import com.ruoyi.szxc.domain.SzxcCsResponse;
import com.ruoyi.szxc.service.ISzxcCsResponseService;

/**
 * 场所负责人Service业务层处理
 * 
 * @author hs
 * @date 2024-03-28
 */
@Service
public class SzxcCsResponseServiceImpl implements ISzxcCsResponseService 
{
    @Autowired
    private SzxcCsResponseMapper szxcCsResponseMapper;

    /**
     * 查询场所负责人
     * 
     * @param id 场所负责人主键
     * @return 场所负责人
     */
    @Override
    public SzxcCsResponse selectSzxcCsResponseById(Long id)
    {
        return szxcCsResponseMapper.selectSzxcCsResponseById(id);
    }

    /**
     * 查询场所负责人列表
     * 
     * @param szxcCsResponse 场所负责人
     * @return 场所负责人
     */
    @Override
    public List<SzxcCsResponse> selectSzxcCsResponseList(SzxcCsResponse szxcCsResponse)
    {
        return szxcCsResponseMapper.selectSzxcCsResponseList(szxcCsResponse);
    }

    /**
     * 新增场所负责人
     * 
     * @param szxcCsResponse 场所负责人
     * @return 结果
     */
    @Override
    public int insertSzxcCsResponse(SzxcCsResponse szxcCsResponse)
    {
        szxcCsResponse.setCreateTime(DateUtils.getNowDate());
        return szxcCsResponseMapper.insertSzxcCsResponse(szxcCsResponse);
    }

    /**
     * 修改场所负责人
     * 
     * @param szxcCsResponse 场所负责人
     * @return 结果
     */
    @Override
    public int updateSzxcCsResponse(SzxcCsResponse szxcCsResponse)
    {
        szxcCsResponse.setUpdateTime(DateUtils.getNowDate());
        return szxcCsResponseMapper.updateSzxcCsResponse(szxcCsResponse);
    }

    /**
     * 批量删除场所负责人
     * 
     * @param ids 需要删除的场所负责人主键
     * @return 结果
     */
    @Override
    public int deleteSzxcCsResponseByIds(Long[] ids)
    {
        return szxcCsResponseMapper.deleteSzxcCsResponseByIds(ids);
    }

    /**
     * 删除场所负责人信息
     * 
     * @param id 场所负责人主键
     * @return 结果
     */
    @Override
    public int deleteSzxcCsResponseById(Long id)
    {
        return szxcCsResponseMapper.deleteSzxcCsResponseById(id);
    }
}
